Bug 2086472 - Review Request: python-pysodium - A Python libsodium wrapper
Summary: Review Request: python-pysodium - A Python libsodium wrapper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2086508
TreeView+ depends on / blocked
 
Reported: 2022-05-16 09:06 UTC by Andreas Schneider
Modified: 2022-06-17 01:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 05:14:43 UTC
Type: ---
Embargoed:
cheimes: fedora-review+


Attachments (Terms of Use)

Description Andreas Schneider 2022-05-16 09:06:15 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-1.src.rpm
Description: This is a very simple wrapper around libsodium masquerading as nacl.
Fedora Account System Username: asn

Comment 1 Christian Heimes 2022-05-16 09:19:59 UTC
1) The line "%dir %{python_sitelib}" looks wrong to me. The directory is owned by python3-libs package already.

$ rpm --define "__python /usr/bin/python3" --eval "%{python_sitelib}"
/usr/lib/python3.10/site-packages
$ rpm -qf /usr/lib/python3.10/site-packages
python3-libs-3.10.4-1.fc35.x86_64

2) Please include "%license LICENSE.txt".

Comment 2 Christian Heimes 2022-05-16 09:23:07 UTC
3) The spec file is missing a runtime requirement on libsodium. Since the package uses ctypes to bind to libsodium, rpm is unable to auto-detect the dependency.

Comment 3 Andreas Schneider 2022-05-16 09:26:58 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-2.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.11-2
- Added missing requirement for libsodium
- Added LICENSE

Comment 4 Andreas Schneider 2022-05-16 10:10:06 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-3.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.11-3
- Add missing python_provide
- Some spec cleanup

Comment 5 Andreas Schneider 2022-05-16 10:55:34 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-4.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.11-4
- Fixed sitelib packaging

Comment 6 Miro Hrončok 2022-05-16 11:02:08 UTC
Some feedback:

1) %python_provide is deprecated, why have you added it?
2) rm -rf %{pypi_name}.egg-info is not needed
3) BuildRequires:  python3-rpm-macros is never needed
4) %exclude %{python3_sitelib}/test should be fixed upstream (as well)
5) The specfile defines and uses %{pypi_name}, but the summary and description is repeated literally, which seems rather inconsistent
6) The release tag needs %dist, see https://docs.fedoraproject.org/en-US/packaging-guidelines/DistTag/

Also, consider using the modern Python packaging guidelines instead: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/

Comment 7 Andreas Schneider 2022-05-16 11:15:47 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-5.fc36.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.11-5
- Added missing %dist tag for release
- More spec file cleanup

Comment 8 Andreas Schneider 2022-05-16 11:30:15 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-6.fc36.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.11-6
- Added pysodium-fix-test-install.patch

Comment 9 Andreas Schneider 2022-05-16 11:42:05 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.11-7.fc36.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.11-7
- Reference and use upstream patch

Comment 10 Andreas Schneider 2022-05-16 12:05:09 UTC
Spec URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium.spec
SRPM URL: https://xor.cryptomilk.org/rpm/python-pysodium/python-pysodium-0.7.12-1.fc36.src.rpm

* Mon May 16 2022 Andreas Schneider <asn> - 0.7.12-1
- Update to version 0.7.12
- Removed pysodium-fix-test-install.patch

Comment 11 Christian Heimes 2022-05-25 08:22:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/pysodium/pysodium-0.7.12.tar.gz :
  CHECKSUM(SHA256) this package     : 3e9005c770dca021889b2fe77db7ffa3c2e98fcac7e3cc1e8e157b9ed78f1fc8
  CHECKSUM(SHA256) upstream package : 3e9005c770dca021889b2fe77db7ffa3c2e98fcac7e3cc1e8e157b9ed78f1fc8


Requires
--------
python3-pysodium (rpmlib, GLIBC filtered):
    libsodium
    python(abi)



Provides
--------
python3-pysodium:
    python-pysodium
    python3-pysodium
    python3.10-pysodium
    python3.10dist(pysodium)
    python3dist(pysodium)



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review -b 2086472
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Perl, Ocaml, R, fonts, SugarActivity, PHP, Haskell, C/C++, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 12 Miro Hrončok 2022-05-25 09:53:35 UTC
If you run Fedora Review directly from git -- https://pagure.io/FedoraReview/ -- you will get rid of one of the "Cannot parse rpmlint output" messages.

Comment 13 Gwyn Ciesla 2022-05-31 14:48:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pysodium

Comment 14 Fedora Update System 2022-06-07 05:11:38 UTC
FEDORA-2022-a2a32c30ce has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a2a32c30ce

Comment 15 Fedora Update System 2022-06-07 05:14:43 UTC
FEDORA-2022-a2a32c30ce has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2022-06-08 06:41:07 UTC
FEDORA-2022-e008fe5ae6 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e008fe5ae6

Comment 17 Fedora Update System 2022-06-09 16:16:35 UTC
FEDORA-2022-e008fe5ae6 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-e008fe5ae6 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e008fe5ae6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2022-06-17 01:13:04 UTC
FEDORA-2022-e008fe5ae6 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.